Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.decorator
Class ToolTipHighlighter

    java.lang.Object
      org.jdesktop.swingx.decorator.AbstractHighlighter
          org.jdesktop.swingx.decorator.ToolTipHighlighter

All Implemented Interfaces:
  Highlighter

    public class ToolTipHighlighter

extends AbstractHighlighter

A highlighter for setting a tool tip on the component.

Author:
  kschaefer

Field Summary

Fields inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`listenerList`

Constructor Summary
`ToolTipHighlighter()` Instantiates a ToolTipHighlighter with null StringValue.
`ToolTipHighlighter(HighlightPredicate predicate)` Instantiates a ToolTipHighlighter with the specified HighlightPredicate and a null StringValue.
`ToolTipHighlighter(HighlightPredicate predicate, StringValue toolTipValue)` Instantiates a ToolTipHighlighter with the specified HighlightPredicate and StringValue.
`ToolTipHighlighter(StringValue toolTipValue)` Instantiates a ToolTipHighlighter with the specified StringValue.

Method Summary
`protected boolean` | `canHighlight(java.awt.Component component, ComponentAdapter adapter)` Subclasses may override to further limit the highlighting based on Highlighter state, f.i.
`protected java.awt.Component` | `doHighlight(java.awt.Component component, ComponentAdapter adapter)` Apply the highlights.
`StringValue` | `getToolTipValue()` Returns the StringValue used for decoration.
`void` | `setToolTipValue(StringValue toolTipValue)` Sets the StringValue used for decoration.

Methods inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`addChangeListener, areEqual, fireStateChanged, getChangeListeners, getHighlightPredicate, highlight, removeChangeListener, setHighlightPredicate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolTipHighlighter

    public ToolTipHighlighter()

  Instantiates a ToolTipHighlighter with null StringValue. The Highlighter is applied always.

### ToolTipHighlighter

    public ToolTipHighlighter(StringValue toolTipValue)

  Instantiates a ToolTipHighlighter with the specified StringValue. The Highlighter is applied always.

  Parameters:
    `toolTipValue` - the StringValue used to create the tool tip

### ToolTipHighlighter

    public ToolTipHighlighter(HighlightPredicate predicate)

  Instantiates a ToolTipHighlighter with the specified HighlightPredicate and a null StringValue.

  Parameters:
    `predicate` - the HighlightPredicate to use, may be null to default to ALWAYS.

### ToolTipHighlighter

    public ToolTipHighlighter(HighlightPredicate predicate,
                              StringValue toolTipValue)

  Instantiates a ToolTipHighlighter with the specified HighlightPredicate and StringValue.

  Parameters:
    `predicate` - the HighlightPredicate to use, may be null to default to ALWAYS.
    `toolTipValue` - the StringValue used to create the tool tip

Method Detail

### getToolTipValue

    public StringValue getToolTipValue()

  Returns the StringValue used for decoration.

  Returns:
    the StringValue used for decoration
  See Also:
    `#setToolTipValue(Font)`

### setToolTipValue

    public void setToolTipValue(StringValue toolTipValue)

  Sets the StringValue used for decoration. May be null to use default decoration.

  Parameters:
    `font` - the Font used for decoration, may be null to use default decoration.
  See Also:
    `getToolTipValue()`

### canHighlight

    protected boolean canHighlight(java.awt.Component component,
                                   ComponentAdapter adapter)

  Subclasses may override to further limit the highlighting based on Highlighter state, f.i. a PainterHighlighter can only be applied to PainterAware components.

  This implementation returns true always.

  Implemented to return false if the component is not a JComponent.

  Overrides:
    `canHighlight` in class `AbstractHighlighter`
  Returns:
    a boolean indication if the adapter can be highlighted based general state. This implementation returns true always.

### doHighlight

    protected java.awt.Component doHighlight(java.awt.Component component,
                                             ComponentAdapter adapter)

  Apply the highlights.

  Specified by:
    `doHighlight` in class `AbstractHighlighter`
  Parameters:
    `component` - the cell renderer component that is to be decorated
    `adapter` - the ComponentAdapter for this decorate operation
  See Also:
    `AbstractHighlighter.highlight(Component, ComponentAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.